Bug 169764 - kerberos support for smb printers
Summary: kerberos support for smb printers
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-03 12:59 UTC by Richard Renard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.6.143-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 11:37:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for kerberos support (372 bytes, patch)
2005-10-03 13:01 UTC, Richard Renard
no flags Details | Diff

Description Richard Renard 2005-10-03 12:59:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The following fix add support for kerberos authentication when adding a new smb printer. 
Note that this will only work if printconf-gui is launched via sudo using /usr/sbin/printconf-gui, and the user have a valid kerberos ticket.
(i don't know if consolehelper can pass environment variables)

As a side effect username and passord are not stored anymore in the printers.conf file, and one can only print if he have a valid ticket or anonymous printing is allowed.

Current drawback is that it requires smbspool from samba-3.0.20.

This is a fix in the printer_share_accessible function

Tested in Active Directory environment


Version-Release number of selected component (if applicable):
system-config-printer-0.6.131.3-1

How reproducible:
Always

Steps to Reproduce:
1. user can specify printer without entering his credentials
2.
3.
  

Additional info:

Comment 1 Richard Renard 2005-10-03 13:01:55 UTC
Created attachment 119547 [details]
patch for kerberos support

Comment 2 Tim Waugh 2005-10-06 11:37:34 UTC
Thank you very much!



Note You need to log in before you can comment on or make changes to this bug.